DXP 7.1 Fix Pack 17でHotfixをインストールすると、起動時にエラーが発生する。

問題

  • Fix Pack 17でHotfixにアップグレードすると、OAuthに関連するいくつかのエラーが表示されるという問題がありました。
  • いくつかの例。
  • ERROR [main][OAuth2JSONWSPortalInstanceLifecycleListener:93] bundle com.liferay.oauth2.provider.jsonws:1.0.28 (494)[com.liferay.oauth2.provider.jsonws.internal.instance.lifecycle.OAuth2JSONWSPortalInstanceLifecycleListener(1664)] : The _sapEntryScopeDescriptorFinderRegistrator field has thrown an exception
    ERROR [main][SAPEntryModelListener:93] bundle com.liferay.oauth2.provider.jsonws:1.0.28 (494)[com.liferay.oauth2.provider.jsonws.internal.service.access.policy.model.listener.SAPEntryModelListener(1668)] : The _sapEntryScopeDescriptorFinderRegistrator field has thrown an exception
    ERROR [main][AuthorizationCodeGrantServiceRegistrator:93] bundle com.liferay.oauth2.provider.rest:1.0.9 (929)[com.liferay.oauth2.provider.rest.internal.endpoint.authorize.AuthorizationCodeGrantServiceRegistrator(3879)] : The _liferayOAuthDataProvider field has thrown an exception
    ERROR [main][PortletTracker:158] Portlet id com_liferay_oauth2_provider_web_internal_portlet_OAuth2AdminPortlet is already in use

環境への配慮

  • DXP 7.1 FP17

決議

  • Liferay Plugin for OAuth 2 は、DXP 7.1 Fix Pack 17 と DXP 7.2 FP5 でスタンドアロンアプリからコア/必須アプリに変換されました。 LPS-110306の説明を参照してください。
  • このFix Packをインストールしたら、以下のパッケージを削除し、再度Liferayを起動してください。
    • LIFERAY_HOME/osgi/marketplace/Liferay Plugin for OAuth 2.0 - API.lpkg
    • LIFERAY_HOME/osgi/marketplace/Liferay Plugin for OAuth 2.0 - Impl.lpkg

追加情報

 

この記事は役に立ちましたか?
1人中1人がこの記事が役に立ったと言っています